package com.lz.modules.flow.model;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
/**
* <p>
* </p>*流程节点权限对应关系表
* @author quyixiao
* @since 2020-10-15
*/

@Data
@ApiModel(value = "流程节点权限对应关系Dto")
public class FlowChartRoleDto {
    //
    @ApiModelProperty(value = "", name = "id")
    private Long id;
    //flow_chart表中id
    @ApiModelProperty(value = "flow_chart表中id", name = "chartId")
    private Long chartId;
    //角色id
    @ApiModelProperty(value = "角色id", name = "roleId")
    private Long roleId;
    @ApiModelProperty(value = "角色名称", name = "roleName")
    private String roleName;
    //1默认权限，必带权限，不可修改权限，0可选权限
    @ApiModelProperty(value = "1默认权限，必带权限，不可修改权限，0可选权限，2被考核人默认权限，必带权限", name = "type")
    private Integer type;
    /**
     *  
     * @return
     */
    public Long getId() {
        return id;
    }
    /**
     *  
     * @param id
     */
    public void setId(Long id) {
        this.id = id;
    }



    /**
     * flow_chart表中id 
     * @return
     */
    public Long getChartId() {
        return chartId;
    }
    /**
     * flow_chart表中id 
     * @param chartId
     */
    public void setChartId(Long chartId) {
        this.chartId = chartId;
    }

    /**
     * 角色id 
     * @return
     */
    public Long getRoleId() {
        return roleId;
    }
    /**
     * 角色id 
     * @param roleId
     */
    public void setRoleId(Long roleId) {
        this.roleId = roleId;
    }

    /**
     * 1默认权限，必带权限，不可修改权限，0可选权限 
     * @return
     */
    public Integer getType() {
        return type;
    }
    /**
     * 1默认权限，必带权限，不可修改权限，0可选权限 
     * @param type
     */
    public void setType(Integer type) {
        this.type = type;
    }

    @Override
    public String toString() {
        return "FlowChartRole{" +
                ",id=" + id +
                ",chartId=" + chartId +
                ",roleId=" + roleId +
                ",roleName=" + roleName +
                ",type=" + type +
                "}";
    }
}